<template>
  <div>
    <div @click="modals.show('colors-picker', $event)" :class="`h-8 w-8 rounded-full mr-4 bg-${value}-500`"></div>
    <modal :is="modals.get('colors-picker')" :value="value" @input="$emit('input', $event)" />
  </div>
</template>

<script lang="ts">
import { useModals } from "@/use/modal";
import ColorsPicker from "@/components/Colors/Picker.vue";

export default {
  emits: ["input"],
  props: {
    value: String
  },
  setup(props, context) {
    const modals = useModals({ ColorsPicker });
    return {
      modals
    };
  }
};
</script>
